package emps.obiektowo;

import java.util.List;

public class P5_MinMax_v4 {
	
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		if(emps.isEmpty()) {
			System.out.println("Brak danych");
			return;
		}
		
		Employee bogaty = emps.get(0);
		Employee biedny = emps.get(0);
		
		for(Employee emp : emps) {
			if(emp.getSalary() > bogaty.getSalary()) {
				bogaty = emp;
			}
			if(emp.getSalary() < biedny.getSalary()) {
				biedny = emp;
			}
		}
		
		System.out.println("Najbogatszy: " + bogaty.getFirstName() + " " + bogaty.getLastName() + ", zarabia " + bogaty.getSalary());
		System.out.println("Najbiedniejszy: " + biedny.getFirstName()  + " " + biedny.getLastName() + ", zarabia " + biedny.getSalary());
	}

}
